summaryrefslogtreecommitdiffstats
path: root/multimedia/stills2dv/stills2dv.SlackBuild
diff options
context:
space:
mode:
author Pedro Mendes <pedro@gepasi.org>2010-03-03 14:21:47 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:24:20 +0200
commit30d6b3d9c828d13acc4de637608e8d5d482f20c4 (patch)
treed1b502bd6f31dddeaf58750363b4c6f1af4f7ad0 /multimedia/stills2dv/stills2dv.SlackBuild
parent88178a0d42ac3b51a913c70aaabdcd4faa477e47 (diff)
downloadslackbuilds-30d6b3d9c828d13acc4de637608e8d5d482f20c4.tar.gz
slackbuilds-30d6b3d9c828d13acc4de637608e8d5d482f20c4.tar.xz
multimedia/stills2dv: Added.
Stills2dv is an open source solution to make a movie out of still pictures. Thanks to Pedro Mendes.
Diffstat (limited to 'multimedia/stills2dv/stills2dv.SlackBuild')
-rwxr-xr-xmultimedia/stills2dv/stills2dv.SlackBuild67
1 files changed, 67 insertions, 0 deletions
diff --git a/multimedia/stills2dv/stills2dv.SlackBuild b/multimedia/stills2dv/stills2dv.SlackBuild
new file mode 100755
index 0000000000..aaad82eaba
--- /dev/null
+++ b/multimedia/stills2dv/stills2dv.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+#
+# Slackware build script for stills2dv
+#
+# This is hereby put in the public domain
+
+PRGNAM=stills2dv
+VERSION=alpha-0.601
+VERSION2=alpha_0.601
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+
+mkdir -p $PKG/usr/bin
+cp -f stills2dv $PKG/usr/bin
+chmod 755 $PKG/usr/bin/stills2dv
+chown root:root $PKG/usr/bin/stills2dv
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Makefile README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Documentation/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/$PRGNAM-$VERSION
+cp -a exampleworkfile.s2d $PKG/usr/share/$PRGNAM-$VERSION
+cp -ar example_data_files $PKG/usr/share/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/$PRGNAM-$VERSION/example_data_files/tmp
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION2-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}